Subject: Re: bug#20891: emacs: Back off if .doc is not an Office document

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Nov 2019 08:25:38 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 08 Nov 2019 21:59:54 +0100
> Cc: [email-masked], [email-masked]
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > Would implementing this risk make opening *.doc files slower for most
> > users?  Perhaps that could make the trade-off not worth it.  Other
> > than that, I see no problem with the proposal.
> 
> I don't think it'd be any performance problem -- we'd just have to read
> the first 8 bytes of the file to see whether the magic sequence is there.

*.doc files are rare nowadays.  Do the *.docx files have the same
signature?  I doubt that, since they are actually *.zip files in
disguise.